Package fr.gouv.vitam.common.logging

# Enum Class VitamLogLevel

java.lang.Object
java.lang.Enum<VitamLogLevel>
fr.gouv.vitam.common.logging.VitamLogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<VitamLogLevel>`, `Constable`

public enum VitamLogLevel extends Enum<VitamLogLevel>
The log level that `VitamLogger` can log at.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEBUG`
  'DEBUG' log level.
  `ERROR`
  'ERROR' log level.
  `INFO`
  'INFO' log level.
  `TRACE`
  'TRACE' log level.
  `WARN`
  'WARN' log level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VitamLogLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VitamLogLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TRACE

    public static final VitamLogLevel TRACE
    'TRACE' log level.

  - ### DEBUG

    public static final VitamLogLevel DEBUG
    'DEBUG' log level.

  - ### INFO

    public static final VitamLogLevel INFO
    'INFO' log level.

  - ### WARN

    public static final VitamLogLevel WARN
    'WARN' log level.

  - ### ERROR

    public static final VitamLogLevel ERROR
    'ERROR' log level.

- ## Method Details

  - ### values

    public static VitamLogLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VitamLogLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null